DIR(1)

NAVN
dir - list directory contents

OVERSIKT
dir [VALG]... [FIL]...

BESKRIVELSE

Vis en liste over FILer (standard er å vise alle filer i gjeldende mappe). Oppføringene sorteres alfabetisk hvis ingen av valgene -cftuvSUX eller --sort brukes.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --all
    Ikke ignorer oppføringer som starter med «.»

-A, --almost-all
    Ikke ta med impliserte «.» og/eller «..»

--author
    Ved bruk sammen med -l inkluderes forfatter per fil.

-b, --escape
    Skriv ut skiftetegn («escapes») i C-stil for ikke-grafiske tegn.

--block-size=STØR
    Skaler etter valgt STØRrelser ved utskrift i kombinasjon med -l; f.eks. --block-size=M. Se info om STØRrelsesformat nedenfor.

-B, --ignore-backups
    Ikke vis impliserte oppføringer med «~»

-c  Med -lt: sorter etter og vis «ctime» (tidspunkt for forrige endring av filstatus); med -l: vis «ctime», sorter etter navn; ellers: sorter etter «ctime», med nyeste øverst.

-C  Vis oppføringer i kolonner.

--color[=NÅR]
    color the output WHEN; more info below

-d, --directory
    Vis mappeoppføringer i stedet for innhold.

-D, --dired
    Lag utskrift for Emacs-programmets «dired»-modus.

-f  list all entries in directory order

-F, --classify[=NÅR]
    append indicator (one of */=>@|) to entries WHEN

--file-type
    Som ovenfor, bortsett fra at «*» ikke legges til.

--format=ORD
    På tvers -x, kommaer -m, horisontal -x, lang -l, enkeltkolonne -1, deltaljert -l, vertikal -C.

--full-time
    Tilsvarer -l --time-style=full-iso.

-g  Likner -l, men ikke vis eier.

--group-directories-first
    group directories before files; can be augmented with a --sort option, but any use of --sort=none (-U) disables grouping

-G, --no-group
    Ikke skriv ut gruppenavn i lange lister.

-h, --human-readable
    Vis størrelser ved bruk av -l og -s som f.eks. 1K, 234M, 2G, osv.

--si
    Som over, men bruker 1000 som faktor i stedet for 1024.

-H, --dereference-command-line
    Følg symbolske lenker som inngår på kommandolinja.

--dereference-command-line-symlink-to-dir
    follow each command line symbolic link that points to a directory

--hide=MØNSTER
    Ikke vis oppføringer som passer skall-MØNSTER (overstyres av -a eller -A).

--hyperlink[=NÅR]
    hyperlink file names WHEN

--indicator-style=ORD
    Legg til stil-ORD i navn: ingen (standard), skråstrek (-p), filtype (--file-type), klassifiser (-F).

-i, --inode
    Skriv ut indeksnummer per fil.

-I, --ignore=MØNSTER
    Overse implisitt samsvar med valgt MØNSTER.

-k, --kibibytes
    default to 1024-byte blocks for file system usage; used only with -s and per directory totals

-l  Bruk langt visningsformat.

-L, --dereference
    Vis informasjon om symbolske lenkemål, i stedet for lenkene i seg selv.

-m  Fyll bredde med en kommaseparert liste.

-n, --numeric-uid-gid
    Likner -l, men viser numeriske bruker- og gruppe-id-er.

-N, --literal
    Vis oppføringsnavn uten anførselstegn.

-o  Likner -l, men ikke vis gruppeinfo.

-p, --indicator-style=slash
    Legg til «/»-indikator i mappenavn.

-q, --hide-control-chars
    Skriv ut «?» i stedet for ikke-grafiske tegn.

--show-control-chars
    Vis ikke-grafiske tegn slik de er (standard, med mindre programmet er ls og utdata er en terminal).

-Q, --quote-name
    Bruk doble anførselstegn på navn.

--quoting-style=ORD
    Bruk anførselsstilen ORD på navn: «literal», «locale», «shell», «shell-always», «shell-escape», «shell-escape-always», «c» eller «escape» (dette overstyrer miljøvariabelen «QUOTING_STYLE»).

-r, --reverse
    Sorter omvendt.

-R, --recursive
    Vis alle undermapper.

-s, --size
    Skriv ut tidelt størrelse for hver fil, i blokker.

-S  Sorter etter filstørrelse, med største fil øverst.

--sort=ORD
    Sorter etter ORD i stedet for navn: none (-U), size (-S), time (-t), version (-v), extension (-X), width.

--time=ORD
    change the default of using modification times; access time (-u): atime, access, use; change time (-c): ctime, status; birth time: birth, creation;

    with -l, WORD determines which time to show; with --sort=time, sort by WORD (newest first)

--time-style=TIDSSTIL
    Tids-/datoformat ved bruk av -l (se TIDSSTIL nedenfor).

-t  Sorter på tid, med nyeste først (see --time).

-T, --tabsize=KOL
    Legg til grunn at fanen stopper ved oppgitt antall KOLonner i stedet for 8.

-u  Bruk sammen med -lt for å sortere etter tilgangstid; bruk sammen med -l for å vise tilgangstid og sortere etter navn; ellers: sorter etter tilgangstid (nyeste øverst).

-U  Ikke sorter, men vis elementer i mapperekkefølge.

-v  Sorter etter evt. versjonsnummer i tekst.

-w, --width=KOL
    Bruk valgt antall skjermbredde-KOLonner (0 betyr ubegrenset).

-x  Sorter etter linjer i stedet for kolonner.

-X  Sorter etter filetternavn.

-Z, --context
    Skriv ut evt. sikkerhetskontekst for hver fil.

--zero
    Separat utskrift med NUL i stedet for ny linje.

-1  Vis én fil per linje.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

STØRRelse er et valgfritt argument i heltallsformat (eks.: 10M er 10*1024*1024). Gyldige enheter er K, M, G, T, P, E, Z og Y (1024-byte-enheter) - evt. KB, MB, osv. (1000-byte-enheter). Du kan også bruke binær-prefiks i form av KiB (K), MiB (M), og så videre.

The TIME_STYLE argument can be full-iso, long-iso, iso, locale, or +FORMAT. FORMAT is interpreted like in date(1). If FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files. TIME_STYLE prefixed with 'posix-' takes effect only outside the POSIX locale. Also the TIME_STYLE environment variable sets the default style to use.

The WHEN argument defaults to 'always' and can also be 'auto' or 'never'.

Farger som indikerer filtyper er deaktivert, både som standard og hvis --color=never brukes. ls gir bare fargekoder hvis du både bruker --color=auto, og standardutdata er koblet til en terminal. Miljøvariabelen LS_COLORS kan endre fargene. Bruk kommandoen dircolors(1) for å endre den.

  Avslutningsstatus:

0   hvis OK,

1   ved små problemer (f.eks. manglende tilgang til en undermappe), eller

2   ved alvorlige problemer (f.eks. manglende tilgang til kommandoargument).

OPPHAVSMANN
Skrevet av Richard M. Stallman og David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/dir>
eller lokalt: info '(coreutils) dir invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.